Subject: [Shop-talk] Need a new multimeter

From: Scott <[email-masked]>
Date: Tue, 30 Oct 2012 21:39:18 -0400

I suspect my multimeter isn't 100%. The continuity test won't always 
alarm when I touch the probes, the needle doesn't sweep very well, etc. 
,etc. I just put new batteries in it, so I'm thinking it might be the 
meter itself.

So who likes their meter and what kind do you have? I'd like to be using 
this thing tomorrow, so ideally I can get a decent one from Radio Shack, 
Ace, etc., but if I really want a whatever I can only get online, I can 
wait a few days for it to be overnighted. I don't make a living with the 
thing, but I'd like to enjoy using it, as opposed to the one I have now 
which came from Home Depot (or Lowe's) and I always questioned.

What does the hive mind say?

Thanks.

Scott
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive